package net.wanji.utc.controller;

import com.github.pagehelper.PageInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import net.wanji.utc.entity.JsonViewObject;
import net.wanji.utc.po.CrossInfoPO;
import net.wanji.utc.service.systemadmin.CrossInfoService;
import net.wanji.utc.vo.systemadmin.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.ws.rs.core.MediaType;

/**
 * 系统管理-信号机管理
 *
 * @author Kent HAN
 * @date 2022/11/24 8:32
 */

@Api(value = "系统管理-信号机管理", description = "系统管理-信号机管理")
@RequestMapping("/crossInfo")
@RestController
public class CrossInfoController {
    @Autowired
    CrossInfoService crossInfoService;

    @ApiOperation(value = "信号机列表", notes = "信号机列表", response = CrossInfoListOutVO.class,
            produces = MediaType.APPLICATION_JSON, consumes = MediaType.APPLICATION_JSON)
    @PostMapping(value = "/list",
            produces = MediaType.APPLICATION_JSON, consumes = MediaType.APPLICATION_JSON)
    @ApiResponses({
            @ApiResponse(code = 200, message = "OK", response = CrossInfoListOutVO.class),
    })
    public JsonViewObject list(@RequestBody CrossInfoListInVO crossInfoListInVO) {
        PageInfo<CrossInfoListOutVO> crossInfoListOutVOPageInfo = crossInfoService.list(crossInfoListInVO);
        JsonViewObject jsonViewObject = JsonViewObject.newInstance();

        return jsonViewObject.success(crossInfoListOutVOPageInfo);
    }

//    @ApiOperation(value = "接口添加或修改", notes = "接口添加或修改", consumes = MediaType.APPLICATION_JSON)
//    @PostMapping(value = "/insertOrUpdate", consumes = MediaType.APPLICATION_JSON)
//    public JsonViewObject insertOrUpdate(@RequestBody ManufacturerApiInfoInsertOrUpdateInVO inVO) {
//        manufacturerApiInfoService.insertOrUpdate(inVO);
//        JsonViewObject jsonViewObject = JsonViewObject.newInstance();
//
//        return jsonViewObject.success();
//    }
//
//    @ApiOperation(value = "接口删除", notes = "接口删除", consumes = MediaType.APPLICATION_JSON)
//    @PostMapping(value = "/delete", consumes = MediaType.APPLICATION_JSON)
//    public JsonViewObject delete(@RequestBody DeleteListInVO inVO) {
//        manufacturerApiInfoService.delete(inVO);
//        JsonViewObject jsonViewObject = JsonViewObject.newInstance();
//
//        return jsonViewObject.success();
//    }
}
